Issue 66157 - Redesign the template feature so that it is more comfortable for add-in developer.
Summary: Redesign the template feature so that it is more comfortable for add-in devel...
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 680m170
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0.4
Assignee: thorsten.martens
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-06 11:45 UTC by mikhail.voytenko
Modified: 2006-09-19 17:00 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mikhail.voytenko 2006-06-06 11:45:56 UTC
Currently it is possible to install a template with a package, but there are
some problems:
- template path merging; when user has changed template path, the add-in path
will not be visible ( this problem will be solved by new template pathes
configuration, but the template component might need to be adopted to the new
solution )
- localized names for new groups; it is not possible to introduce a new group
with localized name
- merging of the provided groups shoul use localized names, not FS names
Comment 1 mikhail.voytenko 2006-06-23 13:12:16 UTC
- the template component is adopted to the new path settings
- it is possible now to provide an xml file containing UI-names of the groups
- the UI name of a group is detected in following way: if there is UI-name in
the provided xml file, it is used; otherwise the hardcoded UI-name is looked for
( backward compatibility ); otherwise the FS name of the group directory is used
- the group merging is based on UI-names
- template diallogs allow to remove only the contents from template writeable path
- when a new content inserted using template dialogs, it should be physically
inserted into template writeable path tree 
Comment 2 mikhail.voytenko 2006-07-11 09:06:26 UTC
MAV->TM: Please verify the issue.
Comment 3 mikhail.voytenko 2006-07-11 09:09:07 UTC
Please see below the path to the specification for the UI change
http://specs.openoffice.org/appwide/templates/TemplateManagementDialog.odt
Comment 4 thorsten.martens 2006-07-11 11:48:23 UTC
checked and verified in cws pathoptions01
Comment 5 thorsten.martens 2006-07-12 13:59:19 UTC
.
Comment 6 thorsten.martens 2006-09-07 08:19:52 UTC
closed
Comment 7 pagalmes.lists 2006-09-19 17:00:13 UTC
Could the spec be added as the URL for this issue
(http://specs.openoffice.org/appwide/templates/TemplateManagementDialog.odt)

Regards,
Pierre-André